Два недавних обновления для Internet Explorer содержат ошибки

Корпорация Microsoft признала, что два недавних обновления для Internet Explorer, содержат особенности, которые могут негативно сказаться на работоспособности отдельных сайтов.

Корпорация Microsoft признала, что два недавних обновления для Internet Explorer, содержат особенности, которые могут негативно сказаться на работоспособности отдельных сайтов.

Патчи, распространяемые вместе с бюллетенями MS05-038 и MS05-052 (август и октябрь 2005 года, соответственно) могут вызывать проблемы с элементами ActiveX и с Java-приложениями. По уверениям сотрудников Microsoft, впрочем, проблемы могут возникнуть лишь у очень ограниченного количества сайтов.

Патч MS05-52 вносит некоторые изменения в Windows - с целью повысить степень защищённости IE. После установки, IE будет проверять отдельные установки безопасности, связанные с ActiveX (а именно - интерфейс IObjectSafety), и в случае, если таковые будут отсутствовать, элемент AcitveX не будет работать.

Чтобы избежать этой проблемы Microsoft рекомендует перекомпилировать соответствующий элемент ActiveX, и обозначить его как безопасный. Как менее желательный вариант, можно снижать уровень безопасности в установках самого браузера.

Что же касается MS05-038, то в данном случае проблемы с элементами ActiveX и Java-приложениями будут возникать, если используются Java-моникеры, поскольку MS05-038 отменяет их поддержку в Internet Explorer.

Подробности о перечисленных проблемах доступны в статье касательно MS05-052 и в пояснениях по поводу проблем с MS05-038.

compulenta.ru


или введите имя

CAPTCHA